[it-users] LO 3.4.3 e Java 1.7.0

classic Classic list List threaded Threaded
7 messages Options
Mr.Crocodile Mr.Crocodile
Reply | Threaded
Open this post in threaded view
|

[it-users] LO 3.4.3 e Java 1.7.0

Windows XP SP3
Ho installato oggi (per la verita' avevo prima provato la versione
portable ma pensando fosse difettosa ho poi provveduto a scaricare la
versione installabile) LibreOffice 3.4.3
All'avvio pero' mi viene segnalato che non e' presente un Java Runtime
Environment mentre io ho installata la versione 1.7.0
Ho cercato su internet e anche qui in lista ma senza esito su come
risolvere il problema. Ho solo trovato che funziona sui sistemi a Win7
64bit mentre qualcuno suggerisce di usare la versione 1.6 di JRE. Il
problema è che tale versione era stata soppiantata a causa di falle di
sicurezza. Avevo anche letto che la versione di LO in oggetto avrebbe
supportato regolarmente la versione 1.7.0 di JRE. Allora quale e' la
soluzione?

Grazie
Andrea

--
Unsubscribe instructions: E-mail to [hidden email]
Posting guidelines + more: http://wiki.documentfoundation.org/Netiquette
List archive: http://listarchives.libreoffice.org/it/users/
All messages sent to this list will be publicly archived and cannot be deleted

gcastagneti gcastagneti
Reply | Threaded
Open this post in threaded view
|

Re: [it-users] LO 3.4.3 e Java 1.7.0

Il 15/09/2011 23:33, Andrea Nardi ha scritto:

> Windows XP SP3
> Ho installato oggi (per la verita' avevo prima provato la versione
> portable ma pensando fosse difettosa ho poi provveduto a scaricare la
> versione installabile) LibreOffice 3.4.3
> All'avvio pero' mi viene segnalato che non e' presente un Java Runtime
> Environment mentre io ho installata la versione 1.7.0
> Ho cercato su internet e anche qui in lista ma senza esito su come
> risolvere il problema. Ho solo trovato che funziona sui sistemi a Win7
> 64bit mentre qualcuno suggerisce di usare la versione 1.6 di JRE. Il
> problema è che tale versione era stata soppiantata a causa di falle di
> sicurezza. Avevo anche letto che la versione di LO in oggetto avrebbe
> supportato regolarmente la versione 1.7.0 di JRE. Allora quale e' la
> soluzione?
>
> Grazie
> Andrea
>
Una veloce ricerca nel bug tracker per trovare questo bug:
https://bugs.freedesktop.org/show_bug.cgi?id=39659
Il commento 14 contiene un workaround che traduco qui:

Ho installato la versione 6.0.26 (che corrisponde a 1.6.0.26, ndt), in
modo che LibO 3.4.3 fosse in grado di trovare il percorso di Java.
Quindi ho chiuso LibO e copiato la versione 7 (1.7, ndt) nella cartella
che la versione 6 usava prima. E, voila, LibO funziona con Java 7.

Spero ti possa essere d'aiuto!

A presto,
Gabriele Castagneti

--
Unsubscribe instructions: E-mail to [hidden email]
Posting guidelines + more: http://wiki.documentfoundation.org/Netiquette
List archive: http://listarchives.libreoffice.org/it/users/
All messages sent to this list will be publicly archived and cannot be deleted

Ferrari Renato Maria Ferrari Renato Maria
Reply | Threaded
Open this post in threaded view
|

Re: [it-users] LO 3.4.3 e Java 1.7.0

Il venerdì 16 settembre 2011, Gabriele Castagneti ha scritto:
> Il 15/09/2011 23:33, Andrea Nardi ha scritto:
> > Windows XP SP3
> > Ho installato oggi (per la verita' avevo prima provato la versione
> > portable ma pensando fosse difettosa ho poi provveduto a scaricare la
> > versione installabile) LibreOffice 3.4.3

non so su windows, ma su linux, sia con Libreoffice, sia con OpenOffice,
bisogna andare su:

Strumenti --> opzioni --> java

attendere che faccia la ricerca dei vari runtimes installati, e poi spuntare
quello che preferisci.

--


Linux Registered User #219791
Linux Registered Machine #104061
[hidden email]

--
Unsubscribe instructions: E-mail to [hidden email]
Posting guidelines + more: http://wiki.documentfoundation.org/Netiquette
List archive: http://listarchives.libreoffice.org/it/users/
All messages sent to this list will be publicly archived and cannot be deleted

Mr.Crocodile Mr.Crocodile
Reply | Threaded
Open this post in threaded view
|

Re: [it-users] LO 3.4.3 e Java 1.7.0

In reply to this post by gcastagneti
Il 16/09/2011 13:39, Gabriele Castagneti ha scritto:
> Una veloce ricerca nel bug tracker per trovare questo bug:
> https://bugs.freedesktop.org/show_bug.cgi?id=39659
> Il commento 14 contiene un workaround che traduco qui:
>
> Ho installato la versione 6.0.26 (che corrisponde a 1.6.0.26, ndt), in
> modo che LibO 3.4.3 fosse in grado di trovare il percorso di Java.
> Quindi ho chiuso LibO e copiato la versione 7 (1.7, ndt) nella cartella
> che la versione 6 usava prima. E, voila, LibO funziona con Java 7.

Ti ringrazio in effetti anche io avevo trovato questa cosa ma mi
sembrava una manovra un po' antipatica da fare e quindi avevo
soprasseduto fin'ora. Provero' Grazie molte.

--
Unsubscribe instructions: E-mail to [hidden email]
Posting guidelines + more: http://wiki.documentfoundation.org/Netiquette
List archive: http://listarchives.libreoffice.org/it/users/
All messages sent to this list will be publicly archived and cannot be deleted

Mr.Crocodile Mr.Crocodile
Reply | Threaded
Open this post in threaded view
|

Re: [it-users] LO 3.4.3 e Java 1.7.0

In reply to this post by Ferrari Renato Maria
Il 16/09/2011 19:34, Renato Ferrari ha scritto:
> non so su windows, ma su linux, sia con Libreoffice, sia con OpenOffice,
> bisogna andare su:
>
> Strumenti --> opzioni --> java
>
> attendere che faccia la ricerca dei vari runtimes installati, e poi spuntare
> quello che preferisci.

Si verissimo, e' esattamente anche la procedura che si usava su OOo, ma
in questo caso la scansione non porta risultati ovvero la lista rimane
vuota. Anche tentando di indicare il percorso manualmente viene
restituito un errore di cartella non valida.



--
Unsubscribe instructions: E-mail to [hidden email]
Posting guidelines + more: http://wiki.documentfoundation.org/Netiquette
List archive: http://listarchives.libreoffice.org/it/users/
All messages sent to this list will be publicly archived and cannot be deleted

Ferrari Renato Maria Ferrari Renato Maria
Reply | Threaded
Open this post in threaded view
|

Re: [it-users] LO 3.4.3 e Java 1.7.0

Il domenica 18 settembre 2011, Andrea Nardi ha scritto:

> Il 16/09/2011 19:34, Renato Ferrari ha scritto:
> > non so su windows, ma su linux, sia con Libreoffice, sia con OpenOffice,
> > bisogna andare su:
> >
> > Strumenti --> opzioni --> java
> >
> > attendere che faccia la ricerca dei vari runtimes installati, e poi
> > spuntare quello che preferisci.
>
> Si verissimo, e' esattamente anche la procedura che si usava su OOo, ma
> in questo caso la scansione non porta risultati ovvero la lista rimane
> vuota. Anche tentando di indicare il percorso manualmente viene
> restituito un errore di cartella non valida.

allora, forse, devi verificare l'installazione di java.
magari, re-instllandola.

su windows (ma, ogni tanto, lo faccio anche su linux) quando mi incasino un
po' con le installazioni, rifaccio l'installazione esattamente come ritengo
sia quella difettosa, poi la disinstallo, così sono sicuro di rimuovere tutto
o quasi, e, infine reinstallo come fosse una nuova installazione.

Al 90% dei casi funziona.

--


Linux Registered User #219791
Linux Registered Machine #104061
[hidden email]

--
Unsubscribe instructions: E-mail to [hidden email]
Posting guidelines + more: http://wiki.documentfoundation.org/Netiquette
List archive: http://listarchives.libreoffice.org/it/users/
All messages sent to this list will be publicly archived and cannot be deleted

Attilio Tempestini Attilio Tempestini
Reply | Threaded
Open this post in threaded view
|

Re: [it-users] LO 3.4.3 e Java 1.7.0

Il 18/09/2011 10:32, Renato Ferrari ha scritto:

>
> allora, forse, devi verificare l'installazione di java.
> magari, re-instllandola.
>
> su windows (ma, ogni tanto, lo faccio anche su linux) quando mi incasino un
> po' con le installazioni, rifaccio l'installazione esattamente come ritengo
> sia quella difettosa, poi la disinstallo, così sono sicuro di rimuovere tutto
> o quasi, e, infine reinstallo come fosse una nuova installazione.
>
> Al 90% dei casi funziona.
>
C'è però, secondo me, una questione di fondo: cioè un rapporto
problematico -per usare un eufemismo-, fra OpenOffice/LibreOffice e Java.

Quanto meno, è ciò che ho verificato, su Ubuntu, rispetto a Base: e che
mi ha portato, ad un certo punto, a ritenere che convenisse per il
momento passare a MySQL; augurandomi di fare marcia indietro, in un
futuro nel quale questo rapporto cessi di essere così problematico.

Al momento infatti, saranno anche problemi risolvibili. Ma dà
indubbiamente fastidio, dover ogni volta tentare di risolverli.

Ciao,

Attilio


--
Unsubscribe instructions: E-mail to [hidden email]
Posting guidelines + more: http://wiki.documentfoundation.org/Netiquette
List archive: http://listarchives.libreoffice.org/it/users/
All messages sent to this list will be publicly archived and cannot be deleted